package com.flyfish.framework.repository.base;

import org.springframework.data.mongodb.repository.query.MongoEntityInformation;

/**
 * 标记实体的仓库
 *
 * @param <T> 泛型
 */
public interface DomainRepository<T> {

    /**
     * 获取集合名称
     *
     * @return 结果
     */
    MongoEntityInformation<T, String> getEntityInformation();
}
