package com.flyfish.framework.domain.po;

import com.flyfish.framework.domain.base.AuditDomain;
import lombok.Getter;
import lombok.Setter;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Map;

/**
 * excel映射方案
 *
 * @author wangyu
 */
@Getter
@Setter
@Document(collection = "excel-mappings")
public class ExcelMapping extends AuditDomain {

    // 映射关系
    private Map<String, String> content;
}
